<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 06/19/2004 *
 * ================                             Last change: 07/24/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-nickname.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Nickname instead of the id                       *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Nickname anstelle der id                         *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} elseif (!isMember()) {
	redirectToIndexMemberOnlyModule();
}

// Add description as navigation point
addMenuDescription('member', __FILE__);

if ((!isExtensionActive('nickname')) && (!isAdmin())) {
	loadTemplate('admin_settings_saved', false, generateExtensionInactiveNotInstalledMessage('nickname'));
	return;
} // END - if

$isValid = false;

if (isFormSent()) {
	// Nickname was submitted so let's check if it is not already in use
	if (isPostRequestElementSet('nickname')) {
		// Check if nickname is valid
		$PATTERN = '[' . getConfig('nickname_pattern') . ']{' . getConfig('nickname_len') . ',}';
		if (ereg($PATTERN, postRequestElement('nickname'), $array)) {
			// Entered nickname is valid?
			$isValid = ($array[0] == postRequestElement('nickname'));
		} // END - if
	} // END - if
} // END - if

if ($isValid === true) {
	// Look for nickname in database (we only need just one entry so don't worry about the "LIMIT 1" !)
	$result = SQL_QUERY_ESC("SELECT `userid` FROM `{?_MYSQL_PREFIX?}_user_data` WHERE `nickname`='%s' AND `userid` != '%s' LIMIT 1",
		array(postRequestElement('nickname'), getUserId()), __FILE__, __LINE__);
	if (SQL_NUMROWS($result) == 0) {
		// Nickname not in use, so set it now
		SQL_QUERY_ESC("UPDATE `{?_MYSQL_PREFIX?}_user_data` SET `nickname`='%s' WHERE `userid`=%s LIMIT 1",
			array(postRequestElement('nickname'), getUserId()), __FILE__, __LINE__);
		$content = getMessage('NICKNAME_SAVED');
	} else {
		// Free result
		SQL_FREERESULT($result);

		// Nickname already in use!
		$content = getMessage('NICKNAME_ALREADY_IN_USE');
	}

	// Load template
	loadTemplate('admin_settings_saved', false, $content);
} else {
	// Do we have already submit the form?
	if (isPostRequestElementSet('nickname')) {
		loadTemplate('admin_settings_saved', false, "<div class=\"member_failed\">{--NICKNAME_IS_INVALID--}</div");
	} // END - if

	// Load Template
	loadTemplate('member_nickname_form', false, getNickname(getUserId()));
}

//
?>
